Hello Teodor,

Thanks for the reply.

Please find below the stack trace for the error.

     [java] generating PDF...
     [java] java.lang.NoSuchMethodError
     [java]     at dori.jasper.engine.export.JRPdfExporter.exportText(JRPdfExporter.java:1178)
     [java]     at dori.jasper.engine.export.JRPdfExporter.exportPage(JRPdfExporter.java:401)
     [java]     at dori.jasper.engine.export.JRPdfExporter.exportReportToStream(JRPdfExporter.java:342)
     [java]     at dori.jasper.engine.export.JRPdfExporter.exportReport(JRPdfExporter.java:230)
     [java]     at com.egain.platform.module.reports.ReportsApp.exportPDF(ReportsApp.java:409)
     [java]     at com.egain.platform.module.reports.ReportsApp.main(ReportsApp.java:181)
     [java] Exception in thread "main"
     [java] Java Result: 1

With iText version 0.96, it is failing. By using 1.02b version of iText it is working fine.

Thanks,
Kalpesh


-----Original Message-----
From: Teodor Danciu [mailto:teodord@users.sourceforge.net]
Sent: Sunday, March 28, 2004 3:06 AM
To: Kalpesh Chordia
Cc: 'jasperreports-questions@lists.sourceforge.net'
Subject: Re: [jasperreports-questions] Jasper 0.5.2



Hi,

JasperReports is compatible with JDK1.2.2.
Send us your stack trace for the error you have,
but I suspect you use an older version of iText.
Check the "Requirements" page in the docs.

Thank you,
Teodor


Kalpesh Chordia wrote:

> Hi,
>
> Does Jasper 0.5.2 requires JDK 1.4 ?
>
> I am getting java.lang.classnotfound error if I try to export jrprint
> to pdf.
>
> JRPdfExporter class is importing java.awt.geom.AffineTransform
>
> Can I use Jasper 0.5.2 jar with JDK 131_03 ?
>
> Please advise.
>
> Thanks,
> Kalpesh
>
>